PayloadAttributeImpl (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.tokenattributes.PayloadAttributeImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.tokenattributes
Class PayloadAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.analysis.tokenattributes.PayloadAttributeImpl

All Implemented Interfaces:
  Serializable, Cloneable, PayloadAttribute, Attribute

    public class PayloadAttributeImpl

extends AttributeImpl
implements PayloadAttribute, Cloneable, Serializable

The payload of a Token. See also `Payload`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.util.AttributeImpl
`enableBackwards`

Constructor Summary
`PayloadAttributeImpl()` Initialize this attribute with no payload.
`PayloadAttributeImpl(Payload payload)` Initialize this attribute with the given payload.

Method Summary
`void` | `clear()` Clears the values in this AttributeImpl and resets it to its default value.
`Object` | `clone()` Shallow clone.
`void` | `copyTo(AttributeImpl target)` Copies the values from this Attribute into the passed-in target attribute.
`boolean` | `equals(Object other)`
`Payload` | `getPayload()` Returns this Token's payload.
`int` | `hashCode()`
`void` | `setPayload(Payload payload)` Sets this Token's payload.

Methods inherited from class org.apache.lucene.util.AttributeImpl
`reflectAsString, reflectWith, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PayloadAttributeImpl

    public PayloadAttributeImpl()

  Initialize this attribute with no payload.

### PayloadAttributeImpl

    public PayloadAttributeImpl(Payload payload)

  Initialize this attribute with the given payload.

Method Detail

### getPayload

    public Payload getPayload()

  Returns this Token's payload.

  Specified by:
    `getPayload` in interface `PayloadAttribute`

### setPayload

    public void setPayload(Payload payload)

  Sets this Token's payload.

  Specified by:
    `setPayload` in interface `PayloadAttribute`

### clear

    public void clear()

  Description copied from class: `AttributeImpl`
  Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.

  Specified by:
    `clear` in class `AttributeImpl`

### clone

    public Object clone()

  Description copied from class: `AttributeImpl`
  Shallow clone. Subclasses must override this if they need to clone any members deeply,

  Overrides:
    `clone` in class `AttributeImpl`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### copyTo

    public void copyTo(AttributeImpl target)

  Description copied from class: `AttributeImpl`
  Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.

  Specified by:
    `copyTo` in class `AttributeImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD